Date: prev next · Thread: first prev next last
2010 Archives by date, by thread · List index


Hi

The Subject says everything, not to mention that gunzip will always
decompress, so there is no need for -d.

gunzip: unknown option -- d
usage: gunzip [-cfhlNnqrtVv] [-o filename] [file ...]

--

diff --git a/bin/setup.in b/bin/setup.in
index 6133d77..a802598 100755
--- a/bin/setup.in
+++ b/bin/setup.in
@@ -284,7 +284,7 @@ export SUSE_ASNEEDED=0
 OOO_SCALED_ICONS_VER=ooo-scaled-icons
 OOO_SCALED_ICONS_TARBALL=$OOO_SCALED_ICONS_VER.tar.gz
 OOO_SCALED_ICONS_UNTAR_OPTIONS=xzf
-OOO_SCALED_ICONS_DECOMPRESS_CMD="gunzip -dc"
+OOO_SCALED_ICONS_DECOMPRESS_CMD="gunzip -c"
 
 #
 # up-stream changed the split and names at random
diff --git a/bin/unpack b/bin/unpack
index a576f25..e87e8f7 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -638,7 +638,7 @@ fi
 
 if test -f $SRCDIR/$APACHE_ANT_TARBALL; then
     $echo_n "Extracting ant $echo_c"
-    (gunzip -dc $SRCDIR/$APACHE_ANT_TARBALL | $GNUTAR xf - )|| exit 1;
+    (gunzip -c $SRCDIR/$APACHE_ANT_TARBALL | $GNUTAR xf - )|| exit 1;
     echo "done";
 else
     echo "Don't need to unpack ant";

Context


Privacy Policy | Impressum (Legal Info) | Copyright information: Unless otherwise specified, all text and images on this website are licensed under the Creative Commons Attribution-Share Alike 3.0 License. This does not include the source code of LibreOffice, which is licensed under the Mozilla Public License (MPLv2). "LibreOffice" and "The Document Foundation" are registered trademarks of their corresponding registered owners or are in actual use as trademarks in one or more countries. Their respective logos and icons are also subject to international copyright laws. Use thereof is explained in our trademark policy.